メインコンテンツへスキップ
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
専用IPを一覧表示
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>",
      "type": "<string>",
      "asn": 123,
      "country_code": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "ip_addresses": [
        {
          "ip": "<string>",
          "fcrdns_confirmed": false,
          "healthy": true,
          "rdns": "<string>"
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "page_size": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須

クエリパラメータ

page
integer
デフォルト:1
page_size
integer
デフォルト:25

レスポンス

items
PublicDedicatedIpResponse · object[]
必須

このページの専用IPs

page
integer
必須

現在の 1 から始まるページ番号

page_size
integer
必須

ページあたりの最大アイテム数

total
integer
必須

トータルマッチング専用IPs